#pragma once

#include <string>
#include <common.h>

namespace render{

class __glTexture
{
public:
    const std::string &_name;
    __glTexture(const std::string&);
    __glTexture(const __glTexture&) = delete;
    ~__glTexture();
    uint obj;
    uint mode;
    uint type;
    uint format;
};

}
